org.apache.http.client.protocol

## Class RequestProxyAuthentication

- java.lang.Object
- - org.apache.http.client.protocol.RequestProxyAuthentication

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

Deprecated.
(4.3) use `HttpAuthenticator`.

    @Deprecated
    @Contract(threading=IMMUTABLE)
    public class RequestProxyAuthentication
    extends Object

Generates authentication header for the proxy host, if required, based on the actual state of the HTTP authentication context.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`RequestProxyAuthentication()` Deprecated.

### Method Summary

Methods
`void` `process(org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestProxyAuthentication

    public RequestProxyAuthentication()

Deprecated.

### Method Detail

#### process

    public void process(org.apache.http.HttpRequest request,
               org.apache.http.protocol.HttpContext context)
                 throws org.apache.http.HttpException,
                        IOException

Deprecated.

Throws:
  `org.apache.http.HttpException`
  `IOException`